// Generator version : v3.1
// Generation time   : 2024.12.07 08:59:44
// DBC filename      : DMK-RP-01_CAN_V0.1_20241118.dbc
#pragma once

#ifdef __cplusplus
extern "C" {
#endif

// DBC file version
#define VER_CANMATRIX_MAJ_FMON (0U)
#define VER_CANMATRIX_MIN_FMON (0U)

#include "canmatrix-config.h"

#ifdef CANMATRIX_USE_DIAG_MONITORS

#include "canmonitorutil.h"
/*
This file contains the prototypes of all the functions that will be called
from each Unpack_*name* function to detect DBC related errors
It is the user responsibility to defined these functions in the
separated .c file. If it won't be done the linkage error will happen
*/

#ifdef CANMATRIX_USE_MONO_FMON

void _FMon_MONO_canmatrix(FrameMonitor_t* _mon, uint32_t msgid);

#define FMon_Panel_Key_canmatrix(x, y) _FMon_MONO_canmatrix((x), (y))
#define FMon_SCM_STATE_canmatrix(x, y) _FMon_MONO_canmatrix((x), (y))
#define FMon_SCM_DEBUG1_canmatrix(x, y) _FMon_MONO_canmatrix((x), (y))
#define FMon_SCM_DEBUG2_canmatrix(x, y) _FMon_MONO_canmatrix((x), (y))
#define FMon_SCM_DEBUG3_canmatrix(x, y) _FMon_MONO_canmatrix((x), (y))
#define FMon_SCM_DEBUG4_canmatrix(x, y) _FMon_MONO_canmatrix((x), (y))
#define FMon_SCM_DEBUG5_canmatrix(x, y) _FMon_MONO_canmatrix((x), (y))
#define FMon_SCM_DEBUG6_canmatrix(x, y) _FMon_MONO_canmatrix((x), (y))

#else

void _FMon_Panel_Key_canmatrix(FrameMonitor_t* _mon, uint32_t msgid);
void _FMon_SCM_STATE_canmatrix(FrameMonitor_t* _mon, uint32_t msgid);
void _FMon_SCM_DEBUG1_canmatrix(FrameMonitor_t* _mon, uint32_t msgid);
void _FMon_SCM_DEBUG2_canmatrix(FrameMonitor_t* _mon, uint32_t msgid);
void _FMon_SCM_DEBUG3_canmatrix(FrameMonitor_t* _mon, uint32_t msgid);
void _FMon_SCM_DEBUG4_canmatrix(FrameMonitor_t* _mon, uint32_t msgid);
void _FMon_SCM_DEBUG5_canmatrix(FrameMonitor_t* _mon, uint32_t msgid);
void _FMon_SCM_DEBUG6_canmatrix(FrameMonitor_t* _mon, uint32_t msgid);

#define FMon_Panel_Key_canmatrix(x, y) _FMon_Panel_Key_canmatrix((x), (y))
#define FMon_SCM_STATE_canmatrix(x, y) _FMon_SCM_STATE_canmatrix((x), (y))
#define FMon_SCM_DEBUG1_canmatrix(x, y) _FMon_SCM_DEBUG1_canmatrix((x), (y))
#define FMon_SCM_DEBUG2_canmatrix(x, y) _FMon_SCM_DEBUG2_canmatrix((x), (y))
#define FMon_SCM_DEBUG3_canmatrix(x, y) _FMon_SCM_DEBUG3_canmatrix((x), (y))
#define FMon_SCM_DEBUG4_canmatrix(x, y) _FMon_SCM_DEBUG4_canmatrix((x), (y))
#define FMon_SCM_DEBUG5_canmatrix(x, y) _FMon_SCM_DEBUG5_canmatrix((x), (y))
#define FMon_SCM_DEBUG6_canmatrix(x, y) _FMon_SCM_DEBUG6_canmatrix((x), (y))

#endif

#endif // CANMATRIX_USE_DIAG_MONITORS

#ifdef __cplusplus
}
#endif
